{
	"server": {
		"listenAddress": "",
		"listenPort": 8080,
		"protocol": "https",
		"domain": "localhost:8080"
	},
	"date": {
		"minuteGranularity": 5,
		"maxDuration": 120,
		"earliestStartTime": {
			"hour" : 8,
			"minute" : 0
		},
		"latestStartTime": {
			"hour" : 20,
			"minute" : 0
		}
	},
	"request": {
		"secretLength": 15
	},
	"mailer": {
		"type": "Stdout",
		"fromAddress": "officeHours@localhost",
		"fromName": "Office hours <officeHours@localhost>",
		"smtpHost": "localhost",
		"smtpPort": 25,
		"smtpUseAuth": false,
		"smtpIdentity": "",
		"smtpPassword": ""
	},
	"SQL": {
		"type": "SQLite",
		"SQLiteFile": "officeHours.db",
		"mysqlUser": "officeHours",
		"mysqlPassword": "",
		"mysqlHost": "localhost",
		"mysqlPort": 3306,
		"mysqlDatabase": "officeHours"
	},
	"tutor": {
		"mailSuffix": ""
	}
}
